Skip to content
Last updated

Process the OAuth callback and create the personal connector. This endpoint is called automatically by the OAuth provider after user authorization.

GEThttps://api.aitronos.com/v1/personal-connectors/callback?code={code}&state={state}&error={error}

Query Parameters

code string optional Authorization code from OAuth provider.

state string optional State token for CSRF protection (from authorize endpoint). Note: ClickUp doesn't return this parameter.

error string optional

Error from OAuth provider if auth failed.

status string optional

OAuth flow status indicator from the provider.

connected_account_id string optional

Connected account identifier from the OAuth provider.

app_name string optional

App name from the OAuth provider callback.

Returns

The created personal connector configuration object.

Bash
curl "https://api.aitronos.com/v1/personal-connectors/callback?code=abc123&state=abc123def456..."

Response:

{
  "success": true,
  "data": {}
}